Skip to navigation

Update Email Template

Update an email template.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired>=0
ID of the Abandoned Cart Email template.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
is_activebooleanOptional
coupon_codestringOptional
notify_at_minutesenumOptional
Describes when this email will be sent, in minutes. Only supports certain intervals described in the enum.
templateobjectOptional

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error